import CoUxLayoutOverlayPanel from '../../../../components/10x/ux/ux-layout-overlay-panel.js'
import EuiBasePage from '../eui-base.po.js'

export default class LayoutOverlayPanel extends EuiBasePage {

  constructor() {
      super();
  }

  layoutOverlayPanelByIndex(index) {
    const layoutOverlayPanel1 =  new CoUxLayoutOverlayPanel(this.mainContent);
    return layoutOverlayPanel1.byIndex(index);
  }

  layoutOverlayPanelFromSectionById(id) {
    return new CoUxLayoutOverlayPanel(this.sectionById(id));
  }

  layoutOverlayPanelFromSectionWithIdByIndex(id, index) {
    const layoutOverlayPanel1 = new CoUxLayoutOverlayPanel(this.sectionById(id));
    return layoutOverlayPanel1.byIndex(index);
  }

}


